Subject: bug#52286: 28.0.90; [PATCH] Be consistent in naming of separators in context menu

From: Eli Zaretskii <[email-masked]>
Date: Sun, 05 Dec 2021 08:45:09 +0200

> From: Jim Porter <[email-masked]>
> Date: Sat, 4 Dec 2021 13:57:31 -0800
> 
> This is spun off from bug#52237[1]. There's a minor issue with 
> `context-menu-mode' where some of the separators are named 
> `FOO-separator' and others are named `separator-FOO'. Since these 
> separators are partially useful for context menu functions to find the 
> right place to insert their items, this inconsistency could be pretty 
> confusing for authors of those functions (e.g. in third-party packages).

If you want to introduce a convention that others should follow, this
convention should be documented in the ELisp manual.

> Hopefully this is a small enough change to make it into Emacs 28, since 
> otherwise I think we'd just have to live with the names as they are 
> forever.

The first pretest of Emacs 28 is already out, so this problem is
already with us, isn't it?